Bug 1418831 - Unsupported Windows Version Windows Server 2016
Summary: Unsupported Windows Version Windows Server 2016
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-guest-tools
Classification: oVirt
Component: Windows.oVirt-Guest-Agent
Version: 4.1.0
Hardware: x86_64
OS: Windows
unspecified
medium
Target Milestone: ovirt-4.1.2
: 4.1-5
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 20:30 UTC by Travis
Modified: 2017-05-23 08:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 08:12:30 UTC
oVirt Team: Integration
rule-engine: ovirt-4.1+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 73452 0 None None None 2017-03-06 15:58:46 UTC
oVirt gerrit 73600 0 None None None 2017-03-12 12:36:35 UTC
oVirt gerrit 73601 0 master MERGED Add support for Microsoft Windows Server 2016 2017-03-09 15:16:34 UTC
oVirt gerrit 73602 0 master MERGED Add support to the installer for Microsoft Windows Server 2016 2017-03-09 15:16:48 UTC
oVirt gerrit 73859 0 ovirt-wgt-4.1 MERGED Re-introduce WinVer.nsh 2017-03-09 15:54:14 UTC
oVirt gerrit 73860 0 ovirt-wgt-4.1 MERGED Add support for Microsoft Windows Server 2016 2017-03-09 15:54:26 UTC
oVirt gerrit 73861 0 ovirt-wgt-4.1 MERGED Add support to the installer for Microsoft Windows Server 2016 2017-03-09 15:54:39 UTC

Description Travis 2017-02-02 20:30:03 UTC
Description of problem:
Unsupported Windows Version when trying to install ovirt-guest-tools-setup on Windows Server 2016

Version-Release number of selected component (if applicable):
oVirt-toolsSetup_4.1-3.fc24

How reproducible:
Every time

Steps to Reproduce:
1. Install Windows Server 2016
2. Mount oVirt-toolsSetup iso
3. Run ovirt-guest-tools-setup.exe

Actual results:
Install fails with Unsupported Windows Version error

Expected results:
Guest tools to install with no errors

Additional info:
ovirt-guest-tools from oVirt-toolsSetup_4.0-1.fc23.iso installs with no errors and runs even though Windows Server 2016 not explicitly supported in oVirt 4.0

Comment 1 Yedidyah Bar David 2017-03-06 07:57:45 UTC
Lev pushed a patch [1] reintroducing an updated WinVer.nsh supporting windows 2016. We discussed this internally, and agreed to try and get it fixed in nsis first, and lev posted there a patch [2] to do that.

[1] https://gerrit.ovirt.org/73452
[2] https://sourceforge.net/p/nsis/patches/282/

Comment 2 Yedidyah Bar David 2017-03-09 11:37:37 UTC
Lev, can you please verify the patches? Thanks.

https://gerrit.ovirt.org/#/q/topic:win2016+status:open+project:ovirt-wgt

Comment 3 Lev Veyde 2017-03-09 13:11:44 UTC
(In reply to Yedidyah Bar David from comment #2)
> Lev, can you please verify the patches? Thanks.
> 
> https://gerrit.ovirt.org/#/q/topic:win2016+status:open+project:ovirt-wgt

It was already verified by someone from the community (I have built a special build for him).

Comment 4 Petr Matyáš 2017-05-05 12:01:04 UTC
Verified with oVirt-toolsSetup_4.1-6_master.20170427121311.gitcdb3b39.fc24.iso


Note You need to log in before you can comment on or make changes to this bug.